package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 微信用户积分流水对象 wx_user_integral_log
 *
 * @author flossom
 * @date 2023-12-14
 */
public class WxUserIntegralLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 用户Id */
    @Excel(name = "用户Id")
    private Long userId;

    /** 用户昵称 */
    @Excel(name = "用户昵称")
    private String userName;

    /** 用户手机号码 */
    @Excel(name = "用户手机号码")
    private String userPhone;

    /** 1-增加 2-减少 */
    @Excel(name = "1-增加 2-减少")
    private String source;

    /** 浮动分数 */
    @Excel(name = "浮动分数")
    private Long floatScore;

    /** 来源ID */
    @Excel(name = "来源ID")
    private Long soureId;

    /** 说明 */
    @Excel(name = "说明")
    private String remarkContent;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getUserName()
    {
        return userName;
    }
    public void setUserPhone(String userPhone)
    {
        this.userPhone = userPhone;
    }

    public String getUserPhone()
    {
        return userPhone;
    }
    public void setSource(String source)
    {
        this.source = source;
    }

    public String getSource()
    {
        return source;
    }
    public void setFloatScore(Long floatScore)
    {
        this.floatScore = floatScore;
    }

    public Long getFloatScore()
    {
        return floatScore;
    }
    public void setSoureId(Long soureId)
    {
        this.soureId = soureId;
    }

    public Long getSoureId()
    {
        return soureId;
    }
    public void setRemarkContent(String remarkContent)
    {
        this.remarkContent = remarkContent;
    }

    public String getRemarkContent()
    {
        return remarkContent;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userName", getUserName())
            .append("userPhone", getUserPhone())
            .append("source", getSource())
            .append("floatScore", getFloatScore())
            .append("soureId", getSoureId())
            .append("remarkContent", getRemarkContent())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
